Closed Bug 1372157 Opened 2 years ago Closed 10 months ago

WebGL 2 conformance test deqp/functional/gles3/lifetime.html failures

Categories

(Core :: Canvas: WebGL, defect, P3)

55 Branch
defect

Tracking

()

RESOLVED FIXED
mozilla65
Tracking Status
firefox57 --- wontfix
firefox65 --- fixed

People

(Reporter: jujjyl, Assigned: jgilbert)

Details

(Whiteboard: [gfx-noted])

Attachments

(1 file)

Running

https://www.khronos.org/registry/webgl/sdk/tests/deqp/functional/gles3/lifetime.html?webglVersion=2&quiet=0

was tested to fail on
- Apple Mac Mini (Late 2012) - Ubuntu 16.04 Xenial, Kernel 4.4.0-78-generic 64-bit - Firefox 55.0a1 (2017-05-22) (64-bit) - Intel HD Graphics 4000, Intel Mesa DRI Ivybridge Mobile, OpenGL 3.3 (Core Profile) Mesa 12.0.6
 - Apple Mac Pro (Late 2013) - OS X El Capitan 10.11.6 - Firefox 55.0a1 (2017-05-22) (64-bit) - AMD FirePro D500 4.1 ATI-1.42.15
 - Supermicro X10DAX 1.02 - Linux Mint 18 Sarah, Kernel 4.4.0-36-generic 64-bit, Firefox 55.0a1 (2017-05-22) (64-bit) - ASUS GeForce GTX 1060 OpenGL 3.2.0, NVIDIA 370.28
 - Haswell - Windows 10 Home 64-bit - Firefox 55.0a1 (2017-05-22) (64-bit) - 2x ASUS NVidia GeForce GTX 1080 Ti Direct3D 11, v22.21.13.8189 (4-19-2017), OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
 - Microsoft Surface Pro 2 - Windows 10 Pro, Firefox 55.0a1 (2017-05-22) (64-bit) - Intel HD Graphics 4400 Direct3D11 v20.19.15.4331 (11-18-2015), OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
 - Intel NUC6i7KYB Skull Canyon - Windows 10 Pro 10.0.14393 64-bit, Firefox 55.0a1 (2017-05-22) (64-bit) - Intel Iris Pro Graphics 580, 21.20.16.4534 (10-7-2016), OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
 - HP Notebook 14-am009no 14" - Windows 10 Home - Firefox 55.0a1 (2017-05-22) (64-bit) - Intel HD Graphics (Intel HD 400?) Direct3D 11, 20.19.15.4509 9-1-2016, OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
 - Apple MacBook Pro 13" 2016 - macOS Sierra 10.12.3 - Firefox Nightly 55.0a1 (2017-05-21) (64-bit) - Intel Iris Graphics 550 1536 MB 4.1 INTEL-10.22.29
 - Huawei P10 Plus - Android 7.0, Kernel 4.1.18-gfd75bbb (VKY-L29), Fennec 55.0a1 (2017-05-19) - ARM Mali-G71, OpenGL ES 3.2 v1.r2p0-02dev0.f7269486f3e0e3b308edf85872e361f4
 - Google Pixel XL - Android 7.1.2, Kernel 3.18.31-g416bf43 (marlin N2G47O), Fennec 55.0a1 (2017-05-19) - Qualcomm Adreno 530, OpenGL ES 3.2 V@145.0 (GIT@Idb2b4cb785)
 - Samsung Galaxy S7 Edge SM-G935F - Android 7.0, Kernel 3.18.14-11104523 (NRD90M), Fennec 55.0a1 (2017-05-19), ARM Mali-T880, OpenGL ES 3.2 v1.r12p1-03dev0.228ab63cced004f840e7dd47b762a1d0

to error messages
    failed: lifetime.attach.deleted_name.texture_framebuffer: Attached object name still valid after deletion.
    failed: lifetime.attach.deleted_name.renderbuffer_framebuffer: Attached object name still valid after deletion.
    failed: lifetime.attach.deleted_name.buffer_vertex_array: Attached object name still valid after deletion.
    failed: lifetime.attach.deleted_name.buffer_transform_feedback: Attached object name still valid after deletion.
This one looks like hardware independent.
OS: Unspecified → All
Hardware: Unspecified → All
Has STR: --- → yes
Priority: -- → P3
Whiteboard: [gfx-noted]
Assignee: nobody → jgilbert
Passes deqp/functional/gles3/lifetime.html.
Note that we won't get to mark this test as passing until the PR [1] merges and we revendor the test suite.
[1]: https://github.com/KhronosGroup/WebGL/pull/2731
Backout by rgurzau@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/13b39a6aa15f
Backed out changeset 4b5b1ff23dd7 for failing at webgl-conf/generated/test_2_conformance2__vertex_arrays__vertex-array-object.html on a CLOSED TREE
Backed out changeset 4b5b1ff23dd7 (bug 1372157) for failing at webgl-conf/generated/test_2_conformance2__vertex_arrays__vertex-array-object.html on a CLOSED TREE

Backout link: https://hg.mozilla.org/integration/mozilla-inbound/rev/13b39a6aa15fa631096b96d4351c2b1d08a4626e

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&resultStatus=testfailed%2Cbusted%2Cexception&selectedJob=207603163&revision=4b5b1ff23dd7247ed098ac805c60292743f8eb20

Log link: https://treeherder.mozilla.org/logviewer.html#?job_id=207603163&repo=mozilla-inbound&lineNumber=7542

Log snippet: 

19:31:55     INFO - TEST-UNEXPECTED-FAIL | dom/canvas/test/webgl-conf/generated/test_2_conformance2__vertex_arrays__vertex-array-object.html | References from unbound VAOs keep Position buffer alive. 
19:31:55     INFO -     reportResults@dom/canvas/test/webgl-conf/mochi-single.html?checkout/conformance2/vertex_arrays/vertex-array-object.html?webglVersion=2:22:7
19:31:55     INFO -     reportTestResultsToHarness@dom/canvas/test/webgl-conf/checkout/js/js-test-pre.js:111:5
19:31:55     INFO -     testFailed@dom/canvas/test/webgl-conf/checkout/js/js-test-pre.js:241:5
19:31:55     INFO -     runBoundDeleteTests@dom/canvas/test/webgl-conf/checkout/conformance2/vertex_arrays/vertex-array-object.html?webglVersion=2:594:9
19:31:55     INFO -     @dom/canvas/test/webgl-conf/checkout/conformance2/vertex_arrays/vertex-array-object.html?webglVersion=2:79:5
19:31:55     INFO - Not taking screenshot here: see the one that was previously logged
19:31:55     INFO - TEST-UNEXPECTED-FAIL | dom/canvas/test/webgl-conf/generated/test_2_conformance2__vertex_arrays__vertex-array-object.html | References from unbound VAOs keep Color buffer alive 
19:31:55     INFO -     reportResults@dom/canvas/test/webgl-conf/mochi-single.html?checkout/conformance2/vertex_arrays/vertex-array-object.html?webglVersion=2:22:7
19:31:55     INFO -     reportTestResultsToHarness@dom/canvas/test/webgl-conf/checkout/js/js-test-pre.js:111:5
19:31:55     INFO -     testFailed@dom/canvas/test/webgl-conf/checkout/js/js-test-pre.js:241:5
19:31:55     INFO -     runBoundDeleteTests@dom/canvas/test/webgl-conf/checkout/conformance2/vertex_arrays/vertex-array-object.html?webglVersion=2:597:9
19:31:55     INFO -     @dom/canvas/test/webgl-conf/checkout/conformance2/vertex_arrays/vertex-array-object.html?webglVersion=2:79:5
19:31:55     INFO - TEST-PASS | dom/canvas/test/webgl-conf/generated/test_2_conformance2__vertex_arrays__vertex-array-object.html | getError was expected value: NO_ERROR : Draw call should not fail. 
19:31:55     INFO - Not taking screenshot here: see the one that was previously logged
Flags: needinfo?(jgilbert)
https://hg.mozilla.org/mozilla-central/rev/00540e73e97c
Status: NEW → RESOLVED
Closed: 10 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla65
Flags: needinfo?(jgilbert)
You need to log in before you can comment on or make changes to this bug.